=== debian/changelog ===
atdgen (1.2.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 21:05:14 +0200

atdgen (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #605671)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 05 Dec 2010 00:57:42 +0100
