## atdgen 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,4 @@
-# $Id: Makefile 53195 2011-01-28 23:38:12Z martin $
-
-VERSION = 1.2.0
-  # "+dev" suffix means "still under development"
+VERSION = 1.2.2
 
 # Shared stuff
 SOURCES_SHARED = \
@@ -223,6 +220,7 @@
 
 .PHONY: bench
 bench: opt
+	ocamlfind ocamlopt -c -g test_lib.ml -package atdgen
 # biniou
 	./atdgen test.atd
 	./atdgen -open Test test2.atd
