=== debian/changelog ===
atdgen (1.2.2-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - fixed JSON whitespace bugs (Closes: #639234)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 15:06:48 +0100
