=== debian/control ===
Source: atdgen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  menhir,
  libeasy-format-ocaml-dev,
  cppo,
  libbiniou-ocaml-dev (>= 1.0.0),
  libyojson-ocaml-dev (>= 1.0.0),
  libatd-ocaml-dev (>= 1.0.0)
Standards-Version: 3.9.2
Homepage: http://oss.wink.com/atdgen/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/atdgen.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/atdgen.git

Package: libatdgen-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: code generator for biniou and JSON serialization in OCaml
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.

Package: libatdgen-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: code generator for biniou and JSON serialization in OCaml
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the shared runtime libraries.
