=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all
endif 

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(RM) '$(DESTDIR)/usr/bin/atdgen.run'
else
	mv '$(DESTDIR)/usr/bin/atdgen.run' '$(DESTDIR)/usr/bin/atdgen'
endif 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_test
override_dh_auto_test:
	true

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

debian/atdgen.1: debian/atdgen.mkd
	pandoc -s -w man $^ -o $@
