=== debian/watch ===
version=3
http://oss.wink.com/atdgen/ atdgen-([\d\.]*)\.tar\.gz
