## atdgen 1.2.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,9 @@
-VERSION = 1.2.2
+VERSION = 1.2.5
+ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
+EXE=.exe
+else
+EXE=
+endif
 
 # Shared stuff
 SOURCES_SHARED = \
@@ -41,7 +46,7 @@
 
 SOURCES = \
   $(SOURCES_SHARED) $(SOURCES_BINIOU) $(SOURCES_JSON) $(SOURCES_VALIDATE) \
-  $(SOURCES_RUNTIME) 
+  $(SOURCES_RUNTIME)
 
 DOCFILES = ag_doc ag_util
 DOCSOURCES = $(addsuffix .mli, $(DOCFILES))
@@ -81,7 +86,7 @@
 pp: VERSION META $(OCAMLLEX_ML) $(OCAMLYACC_MLI) $(OCAMLYACC_ML)
 	$(MAKE) dep
 
-.PHONY: all opt
+.PHONY: all opt install uninstall reinstall
 all: pp
 	$(MAKE) atdgen.cma atdgen.run
 opt: pp
@@ -93,16 +98,19 @@
 	test ! -f atdgen || cp atdgen $(BINDIR)/
 	test ! -f atdgen.exe || cp atdgen.exe $(BINDIR)/
 	ocamlfind install atdgen META \
-		$$(find $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
-			atdgen.cma atdgen.a atdgen.cmxa)
+		 $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
+			atdgen.cma atdgen.a atdgen.cmxa
 
 uninstall:
 	test ! -f $(BINDIR)/atdgen.run || rm $(BINDIR)/atdgen.run
-	test ! -f $(BINDIR)/atdgen.run.exe || rm $(BINDIR)/atdgen.run.exe 
+	test ! -f $(BINDIR)/atdgen.run.exe || rm $(BINDIR)/atdgen.run.exe
 	test ! -f $(BINDIR)/atdgen || rm $(BINDIR)/atdgen
-	test ! -f $(BINDIR)/atdgen.exe || rm $(BINDIR)/atdgen.exe 
+	test ! -f $(BINDIR)/atdgen.exe || rm $(BINDIR)/atdgen.exe
 	ocamlfind remove atdgen
 
+reinstall:
+	$(MAKE) uninstall || :
+	$(MAKE) install
 
 ag_version.ml: Makefile
 	echo 'let version = "$(VERSION)"' > ag_version.ml
@@ -147,15 +155,15 @@
 		-package "$(OCAMLPACKS)" -linkpkg \
 		$(CMO) ag_main.ml
 
-atdgen: dep $(CMI) $(CMX) ag_main.ml
-	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen \
+atdgen$(EXE): dep $(CMI) $(CMX) ag_main.ml
+	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen$(EXE) \
 		-package "$(OCAMLPACKS)" -linkpkg \
 		$(CMX) ag_main.ml
 
 
 
 .PHONY: doc
-doc: odoc/index.html atdgen
+doc: odoc/index.html atdgen$(EXE)
 	cd manual; $(MAKE)
 
 odoc/index.html: $(CMI)
@@ -206,7 +214,7 @@
 	ocamlfind ocamlc -c -g testv.mli -package atdgen
 	ocamlfind ocamlopt -c -g testv.ml -package atdgen
 	ocamlfind ocamlopt -c -g test_atdgen_main.ml -package atdgen
-	ocamlfind ocamlopt -o test_atdgen -g -linkpkg -package atdgen \
+	ocamlfind ocamlopt -o test_atdgen$(EXE) -g -linkpkg -package atdgen \
 		test_lib.cmx test.cmx test2.cmx testj.cmx testjstd.cmx \
 		test2j.cmx test3b.cmx test3j.cmx testv.cmx test_atdgen_main.cmx
 	mkdir -p testdoc
@@ -250,7 +258,7 @@
 .PHONY: clean
 clean:
 	rm -f *.o *.a *.cm* *~ *.annot \
-		dep atdgen atdgen.run \
+		dep atdgen$(EXE) atdgen.run \
 		benchmark test_atdgen \
 		gmon.out ocamlprof.dump \
 		test.bin test-2.bin test.json test-2.json \
@@ -263,8 +271,3 @@
 		ag_doc_lexer.ml
 	rm -rf odoc testdoc
 	cd manual && $(MAKE) clean
-
-
-.PHONY: release
-release:
-	./release.sh
