=== debian/changelog ===
atdgen (1.2.5-1build1) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jul 2013 01:23:28 +0100

atdgen (1.2.5-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file
  * new upstream version (Closes: #711524)
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update homepage, Vcs fields, package description and dependencies
  * update copyright
  * adapt rules and other packaging files
  * delete old patch
  * add new patch for installing ml files and byte-compiling the test
  * install api doc in /usr/share/doc/..../api/html
  * enable tests
  * update man page

 -- Hendrik Tews <hendrik@askra.de>  Sat, 15 Jun 2013 14:41:24 +0200
