=== debian/control ===
Source: atdgen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  menhir,
  libeasy-format-ocaml-dev,
  cppo,
  camlmix,
  libcaml2html-ocaml-dev,
  libbiniou-ocaml-dev (>= 1.0.6),
  libyojson-ocaml-dev,
  libatd-ocaml-dev (>= 1.0.0),
  hevea,
  texlive-latex-extra
Standards-Version: 3.9.4
Homepage: http://mjambon.com/atdgen
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/atdgen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/atdgen.git

Package: libatdgen-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml code generator for biniou and JSON - executable and dev files
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the adtgen executable and the files necessary
 for programming with the library.

Package: libatdgen-ocaml
Architecture: any
Depends: 
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml code generator for biniou and JSON - plugins
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the shared runtime libraries (plugin).
