=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
	rm atdgen.run
else
	$(MAKE) all
	mv atdgen.run atdgen
endif 
	$(MAKE) doc
	mkdir api
	mv odoc api/html


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	make install 'BINDIR=$(DESTDIR)/usr/bin'


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing


.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) OCAMLOPT=ocamlopt LIBATDGEN=atdgen.cmxa OBJEXT=cmx test
else
	$(MAKE) OCAMLOPT=ocamlc LIBATDGEN=atdgen.cma OBJEXT=cmo test
endif 


# override this to prevent dh_auto_clean to try make distclean, 
# which creates atd_version.ml
.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean
