## atdgen 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
-VERSION = 1.2.5
+VERSION = 1.3.1
 ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
 else
 EXE=
+endif
+
+NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+
+ifeq "${NATDYNLINK}" "YES"
+CMXS=atdgen.cmxs
 endif
 
 # Shared stuff
@@ -90,7 +96,7 @@
 all: pp
 	$(MAKE) atdgen.cma atdgen.run
 opt: pp
-	$(MAKE) atdgen.cmxa atdgen
+	$(MAKE) atdgen.cmxa $(CMXS) atdgen
 
 install: META
 	test ! -f atdgen.run || cp atdgen.run $(BINDIR)/
@@ -98,7 +104,7 @@
 	test ! -f atdgen || cp atdgen $(BINDIR)/
 	test ! -f atdgen.exe || cp atdgen.exe $(BINDIR)/
 	ocamlfind install atdgen META \
-		 $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
+		 $(MLI) $(CMI) $(CMO) $(CMX) $(CMXS) $(O) \
 			atdgen.cma atdgen.a atdgen.cmxa
 
 uninstall:
@@ -149,6 +155,9 @@
 
 atdgen.cmxa: dep $(CMI) $(CMX)
 	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen.cmxa -a $(CMX)
+
+atdgen.cmxs: dep $(CMI) $(CMX)
+	ocamlfind ocamlopt $(OCAMLFLAGS) -shared -o $(CMXS) $(CMX)
 
 atdgen.run: dep $(CMI) $(CMO) ag_main.ml
 	ocamlfind ocamlc $(OCAMLFLAGS) -o atdgen.run \
@@ -192,6 +201,13 @@
 	./atdgen test4.atd
 	./atdgen -json test4.atd -o test4j
 	./atdgen -validate -extend Test test.atd -o testv
+	./atdgen -o-name-overlap -t test5.atd
+	./atdgen -o-name-overlap -j test5.atd
+	./atdgen -o-name-overlap -b test5.atd
+	ocamlfind ocamlc -c -package atdgen \
+		test5_t.mli test5_t.ml test5_j.mli test5_j.ml
+	ocamlfind ocamlc -c -package atdgen \
+		test5_t.mli test5_t.ml test5_b.mli test5_b.ml
 	ocamlfind ocamlopt -c -g test_lib.ml
 	ocamlfind ocamlc -c -g test.mli -package atdgen
 	ocamlfind ocamlopt -c -g test.ml -package atdgen
