=== debian/changelog ===
atdgen (1.3.1-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 15:40:14 -0600

atdgen (1.3.1-1build1) utopic; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 07 Sep 2014 13:13:56 +0100

atdgen (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Feb 2014 19:56:25 +0100
