=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
   libatd-ocaml-dev (>= 1.0.0),
   hevea,
   texlive-latex-extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mjambon.com/atdgen
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/atdgen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/atdgen.git
