=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,6 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) OCAMLOPT=ocamlopt LIBATDGEN=atdgen.cmxa OBJEXT=cmx test
-else
-	$(MAKE) OCAMLOPT=ocamlc LIBATDGEN=atdgen.cma OBJEXT=cmo test
-endif 
 
 
 # override this to prevent dh_auto_clean to try make distclean,
