=== debian/watch ===
version=3
http://mjambon.com/releases/atdgen \
.*/atdgen/atdgen[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
