=== debian/changelog ===
atdgen (1.9.1-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:05:59 +0200

atdgen (1.9.1-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 14:39:11 +0100

atdgen (1.9.1-2) unstable; urgency=medium

  * Team upload.
  * Add symlink from /usr/bin/atdgen to atdgen.run on architectures without
    ocamlopt (closes: #837804)

 -- Johannes Schauer <josch@debian.org>  Thu, 15 Sep 2016 22:52:42 +0200

atdgen (1.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2016 11:35:49 +0200

atdgen (1.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.6
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jan 2016 11:11:11 +0100
