=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atdgen
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -17,13 +18,11 @@
   libcaml2html-ocaml-dev,
   libbiniou-ocaml-dev (>= 1.0.6),
   libyojson-ocaml-dev,
-  libatd-ocaml-dev (>= 1.0.0),
-  hevea,
-  texlive-latex-extra
-Standards-Version: 3.9.5
+  libatd-ocaml-dev (>= 1.0.0)
+Standards-Version: 3.9.8
 Homepage: http://mjambon.com/atdgen
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/atdgen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/atdgen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/atdgen.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/atdgen.git
 
 Package: libatdgen-ocaml-dev
 Architecture: any
