=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,9 @@
 override_dh_auto_build:
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 	$(MAKE)
-	rm atdgen.run
 else
 	$(MAKE) all
-	mv atdgen.run atdgen
-endif 
-	$(MAKE) doc
-	mkdir api
-	mv odoc api/html
+endif
 
 
 .PHONY: override_dh_auto_install
@@ -36,6 +31,7 @@
 	mkdir -p '$(DESTDIR)/usr/bin'
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	make install 'BINDIR=$(DESTDIR)/usr/bin'
+	test -f $(DESTDIR)/usr/bin/atdgen || ln -s atdgen.run $(DESTDIR)/usr/bin/atdgen
 
 
 .PHONY: override_dh_install
