=== debian/watch ===
version=3
https://github.com/mjambon/atdgen/tags .*/v(.*)\.tar\.gz
